Fórum Debian

Versão Completa: pepperflashplugin-nonfree (RESOLVIDO)
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Olá a todos,

estou com dificuldades para instalar o pepperflashplugin-nonfree. É um pacote novo, necessário para rodar o flash no chromium.

Diz que ele está disponível no backports do Wheezy, mas o resultado do apt-get é:

E: Impossível encontrar o pacote pepperflashplugin-nonfree

Será que alguém já conseguiu resolver esse problema?

abs
só baixar
link :: https://packages.debian.org/wheezy-backp...in-nonfree
Talvez esta dando erro não script da instalação, no flashplugin-nonfree esta dando erro.

update-flashplugin-nonfree --install
link to Adobe Flash Player not found on http://www.adobe.com/ at get-upstream-version.pl line 57.
ERROR: failed to get upstream version
More information might be available at:
http://wiki.debian.org/FlashPlayer
hguarilha:
tenho essa linha no meu sources.list e ele localiza o arquivo e instala normalmente!
deb http://sft.if.usp.br/debian/ wheezy-backports main contrib non-free

[]'s
mauronis
(20/06/2014 12:18)mauronis Escreveu: [ -> ]hguarilha:
tenho essa linha no meu sources.list e ele localiza o arquivo e instala normalmente!
deb http://sft.if.usp.br/debian/ wheezy-backports main contrib non-free

[]'s
mauronis

Obrigado, deu certo. Arrumei o sources.list e funcionou. Meu backports estava só com o repositório main... erro de iniciante, não é?

Então só para resumir, caso alguém tenha essa mesma dúvida:

1- adicione o backports no sources.list incluindo o contrib e o non-free (deb http://sft.if.usp.br/debian/ wheezy-backports main contrib non-free)
2- # apt-get update
3- # apt-get install pepperflashplugin-nonfree

e no meu caso eu precisei dar este último comando:

4- # update-pepperflashplugin-nonfree --install
5- encerre o chromium e o reinicie.

abs
(21/06/2014 07:41)hguarilha Escreveu: [ -> ]
(20/06/2014 12:18)mauronis Escreveu: [ -> ]hguarilha:
tenho essa linha no meu sources.list e ele localiza o arquivo e instala normalmente!
deb http://sft.if.usp.br/debian/ wheezy-backports main contrib non-free

[]'s
mauronis

Obrigado, deu certo. Arrumei o sources.list e funcionou. Meu backports estava só com o repositório main... erro de iniciante, não é?

Então só para resumir, caso alguém tenha essa mesma dúvida:

1- adicione o backports no sources.list incluindo o contrib e o non-free (deb http://sft.if.usp.br/debian/ wheezy-backports main contrib non-free)
2- # apt-get update
3- # apt-get install pepperflashplugin-nonfree

e no meu caso eu precisei dar este último comando:

4- # update-pepperflashplugin-nonfree --install
5- encerre o chromium e o reinicie.

abs


A resposta que eu tenho é essa:
mv: cannot stat ‘unpackchrome/opt/google/chrome/PepperFlash/libpepflashplayer.so’: No such file or directory

Estou usando debian 8 jessie, nao funciona?
apt-get install pepperflashplugin-nonfree vai dar erro ok.
Entre com o chromium no link https://get.adobe.com/br/flashplayer/
Baixe .tar.gz extraia.

mv libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
mv manifest.json /usr/lib/pepperflashplugin-nonfree/manifest.json

Reinicie o chromium.

Testar
https://www.adobe.com/br/software/flash/about/
URL de Referência